curl --request POST \
--url https://staging.crossmint.com/api/unstable/agent-checkouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"constraints": {
"maxCost": {
"amount": "<string>",
"currency": "<string>"
}
},
"request": {
"startUrl": "<string>",
"task": "<string>"
},
"browser": {
"profileId": "<string>"
},
"buyerProfileId": "<string>",
"merchantGuidance": "<string>"
}
'import requests
url = "https://staging.crossmint.com/api/unstable/agent-checkouts"
payload = {
"constraints": { "maxCost": {
"amount": "<string>",
"currency": "<string>"
} },
"request": {
"startUrl": "<string>",
"task": "<string>"
},
"browser": { "profileId": "<string>" },
"buyerProfileId": "<string>",
"merchantGuidance": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
constraints: {maxCost: {amount: '<string>', currency: '<string>'}},
request: {startUrl: '<string>', task: '<string>'},
browser: {profileId: '<string>'},
buyerProfileId: '<string>',
merchantGuidance: '<string>'
})
};
fetch('https://staging.crossmint.com/api/unstable/agent-checkouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.crossmint.com/api/unstable/agent-checkouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'constraints' => [
'maxCost' => [
'amount' => '<string>',
'currency' => '<string>'
]
],
'request' => [
'startUrl' => '<string>',
'task' => '<string>'
],
'browser' => [
'profileId' => '<string>'
],
'buyerProfileId' => '<string>',
'merchantGuidance' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.crossmint.com/api/unstable/agent-checkouts"
payload := strings.NewReader("{\n \"constraints\": {\n \"maxCost\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n }\n },\n \"request\": {\n \"startUrl\": \"<string>\",\n \"task\": \"<string>\"\n },\n \"browser\": {\n \"profileId\": \"<string>\"\n },\n \"buyerProfileId\": \"<string>\",\n \"merchantGuidance\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.crossmint.com/api/unstable/agent-checkouts")
.header("X-API-KEY", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"constraints\": {\n \"maxCost\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n }\n },\n \"request\": {\n \"startUrl\": \"<string>\",\n \"task\": \"<string>\"\n },\n \"browser\": {\n \"profileId\": \"<string>\"\n },\n \"buyerProfileId\": \"<string>\",\n \"merchantGuidance\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.crossmint.com/api/unstable/agent-checkouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"constraints\": {\n \"maxCost\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n }\n },\n \"request\": {\n \"startUrl\": \"<string>\",\n \"task\": \"<string>\"\n },\n \"browser\": {\n \"profileId\": \"<string>\"\n },\n \"buyerProfileId\": \"<string>\",\n \"merchantGuidance\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"browser": {
"embedUrl": "<string>",
"permissions": [
"read"
]
},
"createdAt": "<string>",
"input": {
"constraints": {
"maxCost": {
"amount": "<string>",
"currency": "<string>"
}
},
"request": {
"startUrl": "<string>",
"task": "<string>"
},
"browser": {
"cdp": {
"redacted": true
},
"location": {
"countryCode": "<string>",
"type": "country"
},
"profileId": "<string>"
},
"buyerProfileId": "<string>",
"merchantGuidance": "<string>"
},
"reason": "accounting_unavailable",
"requiredAction": null,
"revision": 4503599627370495,
"runId": "<string>",
"status": "failed"
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}Create Agent Checkout
Starts a checkout run: the agent opens startUrl, works toward task within constraints, and reports back through the run’s messages. A buyerProfileId supplies identity and shipping details; a browserProfileId reuses a saved merchant login. The response is the run in queued status. Poll Get Agent Checkout or stream its messages to follow it.
API scope required: agent-checkouts.create
curl --request POST \
--url https://staging.crossmint.com/api/unstable/agent-checkouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"constraints": {
"maxCost": {
"amount": "<string>",
"currency": "<string>"
}
},
"request": {
"startUrl": "<string>",
"task": "<string>"
},
"browser": {
"profileId": "<string>"
},
"buyerProfileId": "<string>",
"merchantGuidance": "<string>"
}
'import requests
url = "https://staging.crossmint.com/api/unstable/agent-checkouts"
payload = {
"constraints": { "maxCost": {
"amount": "<string>",
"currency": "<string>"
} },
"request": {
"startUrl": "<string>",
"task": "<string>"
},
"browser": { "profileId": "<string>" },
"buyerProfileId": "<string>",
"merchantGuidance": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
constraints: {maxCost: {amount: '<string>', currency: '<string>'}},
request: {startUrl: '<string>', task: '<string>'},
browser: {profileId: '<string>'},
buyerProfileId: '<string>',
merchantGuidance: '<string>'
})
};
fetch('https://staging.crossmint.com/api/unstable/agent-checkouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.crossmint.com/api/unstable/agent-checkouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'constraints' => [
'maxCost' => [
'amount' => '<string>',
'currency' => '<string>'
]
],
'request' => [
'startUrl' => '<string>',
'task' => '<string>'
],
'browser' => [
'profileId' => '<string>'
],
'buyerProfileId' => '<string>',
'merchantGuidance' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://staging.crossmint.com/api/unstable/agent-checkouts"
payload := strings.NewReader("{\n \"constraints\": {\n \"maxCost\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n }\n },\n \"request\": {\n \"startUrl\": \"<string>\",\n \"task\": \"<string>\"\n },\n \"browser\": {\n \"profileId\": \"<string>\"\n },\n \"buyerProfileId\": \"<string>\",\n \"merchantGuidance\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://staging.crossmint.com/api/unstable/agent-checkouts")
.header("X-API-KEY", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"constraints\": {\n \"maxCost\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n }\n },\n \"request\": {\n \"startUrl\": \"<string>\",\n \"task\": \"<string>\"\n },\n \"browser\": {\n \"profileId\": \"<string>\"\n },\n \"buyerProfileId\": \"<string>\",\n \"merchantGuidance\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.crossmint.com/api/unstable/agent-checkouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"constraints\": {\n \"maxCost\": {\n \"amount\": \"<string>\",\n \"currency\": \"<string>\"\n }\n },\n \"request\": {\n \"startUrl\": \"<string>\",\n \"task\": \"<string>\"\n },\n \"browser\": {\n \"profileId\": \"<string>\"\n },\n \"buyerProfileId\": \"<string>\",\n \"merchantGuidance\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"browser": {
"embedUrl": "<string>",
"permissions": [
"read"
]
},
"createdAt": "<string>",
"input": {
"constraints": {
"maxCost": {
"amount": "<string>",
"currency": "<string>"
}
},
"request": {
"startUrl": "<string>",
"task": "<string>"
},
"browser": {
"cdp": {
"redacted": true
},
"location": {
"countryCode": "<string>",
"type": "country"
},
"profileId": "<string>"
},
"buyerProfileId": "<string>",
"merchantGuidance": "<string>"
},
"reason": "accounting_unavailable",
"requiredAction": null,
"revision": 4503599627370495,
"runId": "<string>",
"status": "failed"
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}{
"error": true,
"message": "<string>",
"code": "<string>",
"parameters": {}
}403 with the message "Agent Checkouts is only available in production". See Test in Production.Authorizations
API key required for authentication
The end user's JWT, sent as Authorization: Bearer <JWT> together with a client-side API key. Validated against the project's external JWT configuration.
Headers
Server-side subject to act on behalf of. Ignored for client-side user auth.
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Browser profile and requested location, or a caller-owned browser; provide at least one property. A CDP connection excludes the other properties
Show child attributes
Show child attributes
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$1 - 20000Response
The checkout run was accepted.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
accounting_unavailable, browser_location_unsupported, browser_session_lost, cancelled, cost_limit, input_expired, model_error, reconciliation_required, runtime_error Monotonically increasing version of this run snapshot. When combining polling and stream updates, retain the snapshot with the greatest revision; values may skip and have no meaning beyond ordering
0 <= x <= 90071992547409911failed Was this page helpful?

